Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 191544 - Format and process as xml files with non-xml extension
Format and process as xml files with non-xml extension
Status: RESOLVED FIXED
Product: xml
Classification: Unclassified
Component: Code
-S1S-
PC Other
: P3 (vote)
: 7.1
Assigned To: Svata Dedic
issues@xml
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-11-02 01:32 UTC by simpatico
Modified: 2011-11-05 16:30 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description simpatico 2010-11-02 01:32:56 UTC
I'm wondering why the ide doesn't recognize as .xml files that end with .wsmode, .wswmgr (defined by NB), and .kml files for instance, but it does handle .jnlp files.

Cannot the editor assume any file whose first line starts with <?xml to be an xml file?
Comment 1 Svata Dedic 2011-11-04 14:36:13 UTC
Nice addition; recognition must be based on a magic header <?xml in most common encodings (ASCII/UTF8, UTF-16 LE+BE, with/without BOM).
Comment 2 Svata Dedic 2011-11-04 14:39:19 UTC
Changeset: 9c0ebcc2eecb
Author:    Svata Dedic <sdedic@netbeans.org>
Date:      2011-11-04 15:39
Message:   #191544: magic header recognition of XML mime type.
Issue #191544 - Format and process as xml files with non-xml extension: fixed
Comment 3 Quality Engineering 2011-11-05 16:30:55 UTC
Integrated into 'main-golden'
Changeset: http://hg.netbeans.org/main-golden/rev/9c0ebcc2eecb
User: Svata Dedic <sdedic@netbeans.org>
Log: #191544: magic header recognition of XML mime type.
Issue #191544 - Format and process as xml files with non-xml extension: fixed


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo